--- pgadmin3/acinclude.m4	2005-05-18 07:23:14.000000000 -0400
+++ pgadmin3.new/acinclude.m4	2005-05-18 17:13:32.000000000 -0400
@@ -50,23 +50,15 @@
 [AC_ARG_ENABLE(debug,
 [ --enable-debug       build a debug version of pgAdmin3],
 [pg_debug_build=yes
-CFLAGS="-Wall -g -O0"
-CXXFLAGS="-Wall -g -O0"],
+CLFAGS=`${WX_CONFIG} --cflags --debug`
+CFLAGS="$CFLAGS -Wall -g -O0"
+CPPFLAGS=`${WX_CONFIG} --cppflags --debug`
+CPPFLAGS="$CPPFLAGS -Wall -g -O0"],
 [pg_debug_build=no])
 ])
 AC_SUBST(pg_debug_build)
 
 ############################
-# Static build of pgAdmin3 #
-############################
-AC_DEFUN([ENABLE_STATIC],
-[AC_ARG_ENABLE(static,
-[ --enable-static      build a static version of pgAdmin3],
-[pg_static_build=yes],
-[pg_static_build=no])
-])
-
-############################
 # Build an pgAdmin III.app  #
 ############################
 AC_DEFUN([ENABLE_APPBUNDLE],
@@ -263,246 +255,11 @@
     LDFLAGS="$LDFLAGS -L${WX_HOME}/lib"
     WX_OLD_LDFLAGS="$LDFLAGS"
     WX_OLD_CPPFLAGS="$CPPFLAGS"
-    if test "$pg_static_build" = "yes"
-    then
-        WX_NEW_LDFLAGS=`${WX_CONFIG} --static --libs`
-    else
-        WX_NEW_LDFLAGS=`${WX_CONFIG} --libs`
-    fi
-
-    # Which version of wxWindows is this?
-    WX_VERSION=`${WX_CONFIG} --version`
-    case "${WX_VERSION}" in
-        2.6*)
-            WX_VERSION="2.6"
-            ;;
-        2.5*)
-            WX_VERSION="2.5"
-            ;;
-        *)
-            ;;
-    esac
-
-    # Here we go!!
-    if test "$pg_static_build" = "yes"
-    then
-        case "${WX_NEW_LDFLAGS}" in
-            *libwx_mswud-*)
-                LIBS="$LIBS ${WX_HOME}/lib/libwx_mswud_stc-${WX_VERSION}.a ${WX_HOME}/lib/libwx_mswud_ogl-${WX_VERSION}.a"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                LDFLAGS="$LDFLAGS -mwindows -Wl,--subsystem,windows"
-                ;;
-            *libwx_mswu-*)
-                LIBS="$LIBS ${WX_HOME}/lib/libwx_mswu_stc-${WX_VERSION}.a ${WX_HOME}/lib/libwx_mswu_ogl-${WX_VERSION}.a"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                LDFLAGS="$LDFLAGS -mwindows -Wl,--subsystem,windows"
-                ;;
-            *libwx_mswd-*)
-                LIBS="$LIBS ${WX_HOME}/lib/libwx_mswd_stc-${WX_VERSION}.a ${WX_HOME}/lib/libwx_mswd_ogl-${WX_VERSION}.a"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                LDFLAGS="$LDFLAGS -mwindows -Wl,--subsystem,windows"
-                ;;
-            *libwx_msw-*)
-                LIBS="$LIBS ${WX_HOME}/lib/libwx_msw_stc-${WX_VERSION}.a ${WX_HOME}/lib/libwx_msw_ogl-${WX_VERSION}.a"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                LDFLAGS="$LDFLAGS -mwindows -Wl,--subsystem,windows"
-                ;;
-            *libwx_macud-*)
-                LIBS="$LIBS ${WX_HOME}/lib/libwx_macud_stc-${WX_VERSION}.a ${WX_HOME}/lib/libwx_macud_ogl-${WX_VERSION}.a"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *libwx_macud_core*)
-                LIBS="$LIBS ${WX_HOME}/lib/libwx_macud_stc-${WX_VERSION}.a ${WX_HOME}/lib/libwx_macud_ogl-${WX_VERSION}.a"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *libwx_macd-*)
-                LIBS="$LIBS ${WX_HOME}/lib/libwx_macd_stc-${WX_VERSION}.a ${WX_HOME}/lib/libwx_macd_ogl-${WX_VERSION}.a"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *libwx_macd_core*)
-                LIBS="$LIBS ${WX_HOME}/lib/libwx_macd_stc-${WX_VERSION}.a ${WX_HOME}/lib/libwx_macd_ogl-${WX_VERSION}.a"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *libwx_mac-*)
-                LIBS="$LIBS ${WX_HOME}/lib/libwx_mac_stc-${WX_VERSION}.a ${WX_HOME}/lib/libwx_mac_ogl-${WX_VERSION}.a"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *libwx_mac_core*)
-                LIBS="$LIBS ${WX_HOME}/lib/libwx_mac_stc-${WX_VERSION}.a ${WX_HOME}/lib/libwx_mac_ogl-${WX_VERSION}.a"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *libwx_macu-*)
-                LIBS="$LIBS ${WX_HOME}/lib/libwx_macu_stc-${WX_VERSION}.a ${WX_HOME}/lib/libwx_macu_ogl-${WX_VERSION}.a"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *libwx_macu_core*)
-                LIBS="$LIBS ${WX_HOME}/lib/libwx_macu_stc-${WX_VERSION}.a ${WX_HOME}/lib/libwx_macu_ogl-${WX_VERSION}.a"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *libwx_gtk2ud-*)
-                LIBS="$LIBS ${WX_HOME}/lib/libwx_gtk2ud_stc-${WX_VERSION}.a ${WX_HOME}/lib/libwx_gtk2ud_ogl-${WX_VERSION}.a"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *libwx_gtk2ud_core*)
-                LIBS="$LIBS ${WX_HOME}/lib/libwx_gtk2ud_stc-${WX_VERSION}.a ${WX_HOME}/lib/libwx_gtk2ud_ogl-${WX_VERSION}.a"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *libwx_gtk2d-*)
-                LIBS="$LIBS ${WX_HOME}/lib/libwx_gtk2d_stc-${WX_VERSION}.a ${WX_HOME}/lib/libwx_gtk2d_ogl-${WX_VERSION}.a"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *libwx_gtk2d_core*)
-                LIBS="$LIBS ${WX_HOME}/lib/libwx_gtk2d_stc-${WX_VERSION}.a ${WX_HOME}/lib/libwx_gtk2d_ogl-${WX_VERSION}.a"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *libwx_gtk2u-*)
-                LIBS="$LIBS ${WX_HOME}/lib/libwx_gtk2u_stc-${WX_VERSION}.a ${WX_HOME}/lib/libwx_gtk2u_ogl-${WX_VERSION}.a"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *libwx_gtk2u_core*)
-                LIBS="$LIBS ${WX_HOME}/lib/libwx_gtk2u_stc-${WX_VERSION}.a ${WX_HOME}/lib/libwx_gtk2u_ogl-${WX_VERSION}.a"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *libwx_gtkud-*)
-                LIBS="$LIBS ${WX_HOME}/lib/libwx_gtkud_stc-${WX_VERSION}.a ${WX_HOME}/lib/libwx_gtkud_ogl-${WX_VERSION}.a"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *libwx_gtkud_core*)
-                LIBS="$LIBS ${WX_HOME}/lib/libwx_gtkud_stc-${WX_VERSION}.a ${WX_HOME}/lib/libwx_gtkud_ogl-${WX_VERSION}.a"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *libwx_gtkd-*)
-                LIBS="$LIBS ${WX_HOME}/lib/libwx_gtkd_stc-${WX_VERSION}.a ${WX_HOME}/lib/libwx_gtkd_ogl-${WX_VERSION}.a"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *libwx_gtkd_core*)
-                LIBS="$LIBS ${WX_HOME}/lib/libwx_gtkd_stc-${WX_VERSION}.a ${WX_HOME}/lib/libwx_gtkd_ogl-${WX_VERSION}.a"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *libwx_gtk-*)
-                LIBS="$LIBS ${WX_HOME}/lib/libwx_gtk_stc-${WX_VERSION}.a ${WX_HOME}/lib/libwx_gtk_ogl-${WX_VERSION}.a"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *libwx_gtk_core*)
-                LIBS="$LIBS ${WX_HOME}/lib/libwx_gtk_stc-${WX_VERSION}.a ${WX_HOME}/lib/libwx_gtk_ogl-${WX_VERSION}.a"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *)
-                ;;
-        esac
-    else
-        case "${WX_NEW_LDFLAGS}" in
-            *libwx_mswud-*)
-                LIBS="$LIBS -lwx_mswud_stc-${WX_VERSION} -lwx_mswud_ogl-${WX_VERSION}"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                LDFLAGS="$LDFLAGS -mwindows -Wl,--subsystem,windows"
-                ;;
-            *libwx_mswu-*)
-                LIBS="$LIBS -lwx_mswu_stc-${WX_VERSION} -lwx_mswu_ogl-${WX_VERSION}"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                LDFLAGS="$LDFLAGS -mwindows -Wl,--subsystem,windows"
-                ;;
-            *libwx_mswd-*)
-                LIBS="$LIBS -lwx_mswd_stc-${WX_VERSION} -lwx_mswd_ogl-${WX_VERSION}"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                LDFLAGS="$LDFLAGS -mwindows -Wl,--subsystem,windows"
-                ;;
-            *libwx_msw-*)
-                LIBS="$LIBS -lwx_msw_stc-${WX_VERSION} -lwx_msw_ogl-${WX_VERSION}"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                LDFLAGS="$LDFLAGS -mwindows -Wl,--subsystem,windows"
-                ;;
-            *wx_macud-*)
-                LIBS="$LIBS -lwx_macud_stc-${WX_VERSION} -lwx_macud_ogl-${WX_VERSION}"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *wx_macud_core*)
-                LIBS="$LIBS -lwx_macud_stc-${WX_VERSION} -lwx_macud_ogl-${WX_VERSION}"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *wx_macd-*)
-                LIBS="$LIBS -lwx_macd_stc-${WX_VERSION} -lwx_macd_ogl-${WX_VERSION}"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *wx_macd_core*)
-                LIBS="$LIBS -lwx_macd_stc-${WX_VERSION} -lwx_macd_ogl-${WX_VERSION}"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *wx_mac-*)
-                LIBS="$LIBS -lwx_mac_stc-${WX_VERSION} -lwx_mac_ogl-${WX_VERSION}"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *wx_mac_core*)
-                LIBS="$LIBS -lwx_mac_stc-${WX_VERSION} -lwx_mac_ogl-${WX_VERSION}"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *wx_macu-*)
-                LIBS="$LIBS -lwx_macu_stc-${WX_VERSION} -lwx_macu_ogl-${WX_VERSION}"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *wx_macu_core*)
-                LIBS="$LIBS -lwx_macu_stc-${WX_VERSION} -lwx_macu_ogl-${WX_VERSION}"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *wx_gtk2ud-*)
-                LIBS="$LIBS -lwx_gtk2ud_stc-${WX_VERSION} -lwx_gtk2ud_ogl-${WX_VERSION}"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *wx_gtk2ud_core*)
-                LIBS="$LIBS -lwx_gtk2ud_stc-${WX_VERSION} -lwx_gtk2ud_ogl-${WX_VERSION}"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *wx_gtk2d-*)
-                LIBS="$LIBS -lwx_gtk2d_stc-${WX_VERSION} -lwx_gtk2d_ogl-${WX_VERSION}"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *wx_gtk2d_core*)
-                LIBS="$LIBS -lwx_gtk2d_stc-${WX_VERSION} -lwx_gtk2d_ogl-${WX_VERSION}"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *wx_gtk2u-*)
-                LIBS="$LIBS -lwx_gtk2u_stc-${WX_VERSION} -lwx_gtk2u_ogl-${WX_VERSION}"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *wx_gtk2u_core*)
-                LIBS="$LIBS -lwx_gtk2u_stc-${WX_VERSION} -lwx_gtk2u_ogl-${WX_VERSION}"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *wx_gtkud-*)
-                LIBS="$LIBS -lwx_gtkud_stc-${WX_VERSION} -lwx_gtkud_ogl-${WX_VERSION}"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *wx_gtkud_core*)
-                LIBS="$LIBS -lwx_gtkud_stc-${WX_VERSION} -lwx_gtkud_ogl-${WX_VERSION}"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *wx_gtkd-*)
-                LIBS="$LIBS -lwx_gtkd_stc-${WX_VERSION} -lwx_gtkd_ogl-${WX_VERSION}"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *wx_gtkd_core*)
-                LIBS="$LIBS -lwx_gtkd_stc-${WX_VERSION} -lwx_gtkd_ogl-${WX_VERSION}"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *wx_gtk-*)
-                LIBS="$LIBS -lwx_gtk_stc-${WX_VERSION} -lwx_gtk_ogl-${WX_VERSION}"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *wx_gtk_core*)
-                LIBS="$LIBS -lwx_gtk_stc-${WX_VERSION} -lwx_gtk_ogl-${WX_VERSION}"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *wx_gtk2_*)
-                LIBS="$LIBS -lwx_gtk2_stc-${WX_VERSION} -lwx_gtk2_ogl-${WX_VERSION}"
-                LIBS="$LIBS $WX_NEW_LDFLAGS"
-                ;;
-            *)
-                ;;
-        esac
-    fi
-
-    WX_NEW_CPPFLAGS=`${WX_CONFIG} --cxxflags`
-    CPPFLAGS="$CPPFLAGS $WX_NEW_CPPFLAGS -I${WX_HOME}/include/wx-${WX_VERSION}"
+    WX_NEW_LIBS=`${WX_CONFIG} --libs`
+    WX_NEW_CONTRIB_LIBS=`${WX_CONFIG} --libs stc,ogl`
+    LIBS="$LIBS $WX_NEW_LIBS $WX_NEW_CONTRIB_LIBS"
+    WX_NEW_CPPFLAGS=`${WX_CONFIG} --cppflags`
+    CPPFLAGS="$CPPFLAGS $WX_NEW_CPPFLAGS"
     case "${host}" in
         *-apple-darwin*)
             CPPFLAGS="$CPPFLAGS -no-cpp-precomp -fno-rtti"
@@ -510,33 +267,6 @@
         *)
             ;;
     esac
-    wx_wx_h="yes"
-    if test ! -f "${WX_HOME}/include/wx-${WX_VERSION}/wx/version.h"
-    then
-        wx_wx_h="no"
-    fi
-    if test ! -f "${WX_HOME}/include/wx-${WX_VERSION}/wx/stc/stc.h"
-    then
-        AC_MSG_ERROR([you need to install the stc package from wxWindows/contrib/src/stc])
-        wx_wx_h="no"
-    fi
-    if test ! -f "${WX_HOME}/include/wx-${WX_VERSION}/wx/ogl/ogl.h"
-    then
-        AC_MSG_ERROR([you need to install the ogl package from wxWindows/contrib/src/ogl with wxUSE_DEPRECATED=0])
-        wx_wx_h="no"
-    fi
-    if test "$wx_wx_h" = "yes"
-    then
-        AC_MSG_CHECKING([wxWindows in ${WX_HOME}])
-        AC_MSG_RESULT(ok)
-    else
-        AC_MSG_CHECKING([wxWindows in ${WX_HOME}])
-        LDFLAGS="$WX_OLD_LDFLAGS"
-        CPPFLAGS="$WX_OLD_CPPFLAGS"
-        AC_MSG_RESULT(failed)
-        AC_MSG_ERROR([you must specify a valid wxWindows installation with --with-wx=DIR])
-    fi
 fi
 ])
 AC_SUBST(WX_CONFIG)
-
